Package org.apache.wiki.tags

## Class EditorIteratorTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.wiki.tags.IteratorTag
      - - org.apache.wiki.tags.EditorIteratorTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class EditorIteratorTag
    extends IteratorTag

Iterates through editors.

Since:
  2.4.12
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.IteratorTag

`m_iterator, m_pageName, m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`EditorIteratorTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doStartTag()`

### Methods inherited from class org.apache.wiki.tags.IteratorTag

`clearList, doAfterBody, doCatch, doEndTag, doFinally, resetIterator, setList, setList`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

### Constructor Detail

#### EditorIteratorTag

    public EditorIteratorTag()

### Method Detail

#### doStartTag

    public final int doStartTag()

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `IteratorTag`